%define name vpb2
%define version 2.0.4
%define release 2mdk

%define libmajor 0
%define libname libvpb2%{libmajor}

Summary:	A user mode API for voicetronix telephony hardware
Name:		%name
Version:	%version
Release:	%release
Group:		Communications

Source:		%name-%version.tar.bz2

License:	GPL
BuildRoot:	%_tmppath/%name-%version-%release-root
ExclusiveArch:	%ix86

%description
This library is the newly unified user mode API for the Voicetronix
4 port analog DSP telephony cards.  This new API is entirely user mode
and will build under both GNU/Linux and FreeBSD.

%package -n %{libname}
Group: System/Libraries
License: GPL
Summary: A user mode API for voicetronix telephony hardware

%description -n %{libname}
This library is the newly unified user mode API for the Voicetronix
4 port analog DSP telephony cards.  This new API is entirely user mode
and will build under both GNU/Linux and FreeBSD.

%package -n %{libname}-devel
Group: Development/Other
License: GPL
Summary: A user mode API for voicetronix telephony hardware
Requires: %{libname} = %version
Provides: libvpb2-devel
Obsoletes: vpb2-devel
URL:http://freshmeat.net/projects/vpb2/
%description -n %{libname}-devel
This library is the newly unified user mode API for the Voicetronix
4 port analog DSP telephony cards.  This new API is entirely user mode
and will build under both GNU/Linux and FreeBSD.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure

%make

%install
install -d %buildroot/%_sysconfdir
make DESTDIR=%buildroot etc_prefix=%buildroot prefix=%buildroot/%_prefix install

%files
%defattr(644,root,root,0755)
%doc AUTHORS COPYING NEWS README ChangeLog TODO doc/*
%defattr(-,root,root,0755)
%_bindir/*
%config(noreplace) %_sysconfdir/vpbmain.out

%files -n %libname
%defattr(-,root,root)
%_libdir/*so.*

%files -n %libname-devel
%defattr (-,root,root)
%_includedir/*
%_libdir/*.a
%_libdir/*.so

%clean
rm -fr %buildroot

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%changelog
* Thu Sep 06 2001 Etienne Faure <etienne@mandrakesoft.com> 2.0.4-2mdk
- Added URL

* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- udpated to 2.0.4
- make library policy compliant

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.3-2mdk
- ExclusivArch: %%ix86

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- updated to 2.0.3

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- used srpm from David Sugar <dyfet@ostel.com>
